Package com.independentsoft.office.spreadsheet

# Class DataValidation

java.lang.Object
com.independentsoft.office.spreadsheet.DataValidation

public class DataValidation extends Object
The Class DataValidation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataValidation()`
  Instantiates a new data validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataValidation`
  `clone()`
  `String`
  `getErrorMessage()`
  Gets the error message.
  `DataValidationErrorStyle`
  `getErrorStyle()`
  Gets the error style.
  `String`
  `getErrorTitle()`
  Gets the error title.
  `String`
  `getFormula1()`
  Gets the formula1.
  `String`
  `getFormula2()`
  Gets the formula2.
  `DataValidationImeMode`
  `getImeMode()`
  Gets the ime mode.
  `DataValidationOperator`
  `getOperator()`
  Gets the operator.
  `String`
  `getPrompt()`
  Gets the prompt.
  `String`
  `getPromptTitle()`
  Gets the prompt title.
  `String`
  `getReferenceSequence()`
  Gets the reference sequence.
  `DataValidationType`
  `getType()`
  Gets the type.
  `boolean`
  `isAllowBlank()`
  Checks if is allow blank.
  `boolean`
  `isShowDropDown()`
  Checks if is show drop down.
  `boolean`
  `isShowErrorMessage()`
  Checks if is show error message.
  `boolean`
  `isShowInputMessage()`
  Checks if is show input message.
  `void`
  `setAllowBlank​(boolean allowBlank)`
  Sets the allow blank.
  `void`
  `setErrorMessage​(String errorMessage)`
  Sets the error message.
  `void`
  `setErrorStyle​(DataValidationErrorStyle errorStyle)`
  Sets the error style.
  `void`
  `setErrorTitle​(String errorTitle)`
  Sets the error title.
  `void`
  `setFormula1​(String formula1)`
  Sets the formula1.
  `void`
  `setFormula2​(String formula2)`
  Sets the formula2.
  `void`
  `setImeMode​(DataValidationImeMode imeMode)`
  Sets the ime mode.
  `void`
  `setOperator​(DataValidationOperator op)`
  Sets the operator.
  `void`
  `setPrompt​(String prompt)`
  Sets the prompt.
  `void`
  `setPromptTitle​(String promptTitle)`
  Sets the prompt title.
  `void`
  `setReferenceSequence​(String referenceSequence)`
  Sets the reference sequence.
  `void`
  `setShowDropDown​(boolean showDropDown)`
  Sets the show drop down.
  `void`
  `setShowErrorMessage​(boolean showErrorMessage)`
  Sets the show error message.
  `void`
  `setShowInputMessage​(boolean showInputMessage)`
  Sets the show input message.
  `void`
  `setType​(DataValidationType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataValidation

    public DataValidation()
    Instantiates a new data validation.

- ## Method Details

  - ### clone

    public DataValidation clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormula1

    public String getFormula1()
    Gets the formula1.
    Returns:
      the formula1

  - ### setFormula1

    public void setFormula1​(String formula1)
    Sets the formula1.
    Parameters:
      `formula1` - the new formula1

  - ### getFormula2

    public String getFormula2()
    Gets the formula2.
    Returns:
      the formula2

  - ### setFormula2

    public void setFormula2​(String formula2)
    Sets the formula2.
    Parameters:
      `formula2` - the new formula2

  - ### isAllowBlank

    public boolean isAllowBlank()
    Checks if is allow blank.
    Returns:
      true, if is allow blank

  - ### setAllowBlank

    public void setAllowBlank​(boolean allowBlank)
    Sets the allow blank.
    Parameters:
      `allowBlank` - the new allow blank

  - ### getErrorMessage

    public String getErrorMessage()
    Gets the error message.
    Returns:
      the error message

  - ### setErrorMessage

    public void setErrorMessage​(String errorMessage)
    Sets the error message.
    Parameters:
      `errorMessage` - the new error message

  - ### getErrorStyle

    public DataValidationErrorStyle getErrorStyle()
    Gets the error style.
    Returns:
      the error style

  - ### setErrorStyle

    public void setErrorStyle​(DataValidationErrorStyle errorStyle)
    Sets the error style.
    Parameters:
      `errorStyle` - the new error style

  - ### getErrorTitle

    public String getErrorTitle()
    Gets the error title.
    Returns:
      the error title

  - ### setErrorTitle

    public void setErrorTitle​(String errorTitle)
    Sets the error title.
    Parameters:
      `errorTitle` - the new error title

  - ### getImeMode

    public DataValidationImeMode getImeMode()
    Gets the ime mode.
    Returns:
      the ime mode

  - ### setImeMode

    public void setImeMode​(DataValidationImeMode imeMode)
    Sets the ime mode.
    Parameters:
      `imeMode` - the new ime mode

  - ### getOperator

    public DataValidationOperator getOperator()
    Gets the operator.
    Returns:
      the operator

  - ### setOperator

    public void setOperator​(DataValidationOperator op)
    Sets the operator.
    Parameters:
      `op` - the new operator

  - ### getPrompt

    public String getPrompt()
    Gets the prompt.
    Returns:
      the prompt

  - ### setPrompt

    public void setPrompt​(String prompt)
    Sets the prompt.
    Parameters:
      `prompt` - the new prompt

  - ### getPromptTitle

    public String getPromptTitle()
    Gets the prompt title.
    Returns:
      the prompt title

  - ### setPromptTitle

    public void setPromptTitle​(String promptTitle)
    Sets the prompt title.
    Parameters:
      `promptTitle` - the new prompt title

  - ### isShowDropDown

    public boolean isShowDropDown()
    Checks if is show drop down.
    Returns:
      true, if is show drop down

  - ### setShowDropDown

    public void setShowDropDown​(boolean showDropDown)
    Sets the show drop down.
    Parameters:
      `showDropDown` - the new show drop down

  - ### isShowErrorMessage

    public boolean isShowErrorMessage()
    Checks if is show error message.
    Returns:
      true, if is show error message

  - ### setShowErrorMessage

    public void setShowErrorMessage​(boolean showErrorMessage)
    Sets the show error message.
    Parameters:
      `showErrorMessage` - the new show error message

  - ### isShowInputMessage

    public boolean isShowInputMessage()
    Checks if is show input message.
    Returns:
      true, if is show input message

  - ### setShowInputMessage

    public void setShowInputMessage​(boolean showInputMessage)
    Sets the show input message.
    Parameters:
      `showInputMessage` - the new show input message

  - ### getReferenceSequence

    public String getReferenceSequence()
    Gets the reference sequence.
    Returns:
      the reference sequence

  - ### setReferenceSequence

    public void setReferenceSequence​(String referenceSequence)
    Sets the reference sequence.
    Parameters:
      `referenceSequence` - the new reference sequence

  - ### getType

    public DataValidationType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(DataValidationType type)
    Sets the type.
    Parameters:
      `type` - the new type